Package org.springframework.security.config.annotation.web.configurers

# Class HeadersConfigurer.ContentTypeOptionsConfig

java.lang.Object
org.springframework.security.config.annotation.web.configurers.HeadersConfigurer.ContentTypeOptionsConfig

Enclosing class:
  HeadersConfigurer<H extends HttpSecurityBuilder<H>>

public final class HeadersConfigurer.ContentTypeOptionsConfig extends Object

## Method Summary

Modifier and Type
Method
Description
`HeadersConfigurer<H>`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`HeadersConfigurer<H>`
`disable()`
Removes the X-XSS-Protection header.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### disable

public HeadersConfigurer<H> disable()
Removes the X-XSS-Protection header.

Returns:
  `HeadersConfigurer` for additional customization.

### and

@Deprecated(since="6.1", forRemoval=true) public HeadersConfigurer<H> and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `HeadersConfigurer.contentTypeOptions(Customizer)` instead
Allows customizing the `HeadersConfigurer`

Returns:
  the `HeadersConfigurer` for additional customization